Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## SEdit.Formalisms.Petri
Class PetriStructure

    java.lang.Object
      SEdit.Structure
          SEdit.Formalisms.Petri.PetriStructure

All Implemented Interfaces:
  PetriScheduler

Direct Known Subclasses:
  ActivePetriStructure

    public class PetriStructure

extends Structure
implements PetriScheduler

CLASSE PetriStructure

Field Summary
`protected java.util.Vector` | `activatedList`
`protected SchemeModule` | `scheme`

Fields inherited from class SEdit.Structure
`agent, arrowList, description, displayGrid, editor, formalism, gridSize, modified, nodeList, snapToGrid`

Constructor Summary
`PetriStructure()`

Method Summary
`void` | `addActivated(PetriTransition a)`
`protected PetriTransition` | `getActivated()`
`SchemeModule` | `getSchemeModule()`
`void` | `handleMessage(Message m)`
`void` | `initStructure()` Initialize a structure when everything is OK.
`void` | `removeActivated(PetriTransition a)`
`void` | `step()`

Methods inherited from class SEdit.Structure
`activate, addArrow, addArrow, addNode, addNode, clearAll, createNode, deleteAll, drawBackground, dump, end, existID, getAgent, getArrow, getArrowFromLabel, getArrows, getDescription, getDisplayGrid, getEditor, getFormalism, getGridSize, getNode, getNodeFromLabel, getNodes, getSnapToGrid, isConnectable, newArrowID, newNodeID, preactivate, removeArrow, removeNode, setAgent, setDescription, setDisplayGrid, setEditor, setFormalism, setGridSize, setSnapToGrid, setSnapToGrid1, toggleShowGrid, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### activatedList

    protected java.util.Vector activatedList

### scheme

    protected SchemeModule scheme

Constructor Detail

### PetriStructure

    public PetriStructure()

Method Detail

### addActivated

    public void addActivated(PetriTransition a)

  Specified by:
    `addActivated` in interface `PetriScheduler`

### removeActivated

    public void removeActivated(PetriTransition a)

  Specified by:
    `removeActivated` in interface `PetriScheduler`

### getActivated

    protected PetriTransition getActivated()

### getSchemeModule

    public SchemeModule getSchemeModule()

### initStructure

    public void initStructure()

  Description copied from class: `Structure`
  Initialize a structure when everything is OK. Does nothing by default. May be redefined by subclasses.

  Overrides:
    `initStructure` in class `Structure`

### step

    public void step()

  Specified by:
    `step` in interface `PetriScheduler`

### handleMessage

    public void handleMessage(Message m)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © Madkit Team (O. Gutknecht, J. Ferber, F. Michel et al.) All Rights Reserved.